package com.jjt.rz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 设备类型数据管理对象 TWIN_DEVICE_TYPE_DATA
 *
 * @author wukai
 * @date 2025-05-21
 */
public class TwinDeviceTypeData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long dataId;

    /** 设备类型ID */
    @Excel(name = "设备类型ID")
    private Long typeId;

    /** 数据名称 */
    @Excel(name = "数据名称")
    private String dataName;

    /** 数据IOT字段 */
    @Excel(name = "数据IOT字段")
    private String dataCode;

    /** 数据获取类型;1.累计类型  2.累计中间清零 3.状态记录 */
    @Excel(name = "数据获取类型;1.累计类型  2.累计中间清零 3.状态记录")
    private String dataType;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setDataId(Long dataId)
    {
        this.dataId = dataId;
    }

    public Long getDataId()
    {
        return dataId;
    }
    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setDataName(String dataName)
    {
        this.dataName = dataName;
    }

    public String getDataName()
    {
        return dataName;
    }
    public void setDataCode(String dataCode)
    {
        this.dataCode = dataCode;
    }

    public String getDataCode()
    {
        return dataCode;
    }
    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getDataType()
    {
        return dataType;
    }
    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }

    public String getCreatedBy()
    {
        return createdBy;
    }
    public void setCreatedTime(Date createdTime)
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime()
    {
        return createdTime;
    }
    public void setUpdatedBy(String updatedBy)
    {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy()
    {
        return updatedBy;
    }
    public void setUpdatedTime(Date updatedTime)
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime()
    {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("typeId", getTypeId())
            .append("dataName", getDataName())
            .append("dataCode", getDataCode())
            .append("dataType", getDataType())
            .append("createdBy", getCreatedBy())
            .append("createdTime", getCreatedTime())
            .append("updatedBy", getUpdatedBy())
            .append("updatedTime", getUpdatedTime())
            .append("remark", getRemark())
            .toString();
    }
}
