package com.jjt.rz.service;

import java.util.List;
import com.jjt.rz.domain.TwinCalcHourRz;

/**
 * 染整线1小时数据Service接口
 *
 * @author wukai
 * @date 2025-05-21
 */
public interface ITwinCalcHourRzService {
    /**
     * 查询染整线1小时数据
     *
     * @param id 染整线1小时数据主键
     * @return 染整线1小时数据
     */
    public TwinCalcHourRz selectTwinCalcHourRzById(Long id);

    /**
     * 查询染整线1小时数据列表
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 染整线1小时数据集合
     */
    public List<TwinCalcHourRz> selectTwinCalcHourRzList(TwinCalcHourRz twinCalcHourRz);

    /**
     * 新增染整线1小时数据
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 结果
     */
    public int insertTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz);

    /**
     * 修改染整线1小时数据
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 结果
     */
    public int updateTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz);

    /**
     * 批量删除染整线1小时数据
     *
     * @param ids 需要删除的染整线1小时数据主键集合
     * @return 结果
     */
    public int deleteTwinCalcHourRzByIds(Long[] ids);

    /**
     * 删除染整线1小时数据信息
     *
     * @param id 染整线1小时数据主键
     * @return 结果
     */
    public int deleteTwinCalcHourRzById(Long id);
}
