package com.jjt.rz.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.rz.mapper.TwinCalcHourRzMapper;
import com.jjt.rz.domain.TwinCalcHourRz;
import com.jjt.rz.service.ITwinCalcHourRzService;
import javax.annotation.Resource;

/**
 * 染整线1小时数据Service业务层处理
 *
 * @author wukai
 * @date 2025-05-21
 */
@Service
public class TwinCalcHourRzServiceImpl implements ITwinCalcHourRzService {
    @Resource
    private TwinCalcHourRzMapper twinCalcHourRzMapper;

    /**
     * 查询染整线1小时数据
     *
     * @param id 染整线1小时数据主键
     * @return 染整线1小时数据
     */
    @Override
    public TwinCalcHourRz selectTwinCalcHourRzById(Long id) {
        return twinCalcHourRzMapper.selectTwinCalcHourRzById(id);
    }

    /**
     * 查询染整线1小时数据列表
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 染整线1小时数据
     */
    @Override
    public List<TwinCalcHourRz> selectTwinCalcHourRzList(TwinCalcHourRz twinCalcHourRz) {
        return twinCalcHourRzMapper.selectTwinCalcHourRzList(twinCalcHourRz);
    }

    /**
     * 新增染整线1小时数据
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 结果
     */
    @Override
    public int insertTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz) {
            return twinCalcHourRzMapper.insertTwinCalcHourRz(twinCalcHourRz);
    }

    /**
     * 修改染整线1小时数据
     *
     * @param twinCalcHourRz 染整线1小时数据
     * @return 结果
     */
    @Override
    public int updateTwinCalcHourRz(TwinCalcHourRz twinCalcHourRz) {
        return twinCalcHourRzMapper.updateTwinCalcHourRz(twinCalcHourRz);
    }

    /**
     * 批量删除染整线1小时数据
     *
     * @param ids 需要删除的染整线1小时数据主键
     * @return 结果
     */
    @Override
    public int deleteTwinCalcHourRzByIds(Long[] ids) {
        return twinCalcHourRzMapper.deleteTwinCalcHourRzByIds(ids);
    }

    /**
     * 删除染整线1小时数据信息
     *
     * @param id 染整线1小时数据主键
     * @return 结果
     */
    @Override
    public int deleteTwinCalcHourRzById(Long id) {
        return twinCalcHourRzMapper.deleteTwinCalcHourRzById(id);
    }
}
